<?
include 'config.php';
include 'func.php';
head();
aut();
ban();
echo head . "<b>xStatus</b>" . div . katalog;   
$u = num($_GET['user']);
$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$u."'"));

    if (!empty($_POST['submit'])) {
        
        $info = html($_POST['info']);
        $xstatus = num($_POST['xstatus']);
        $res = mysql_query("UPDATE `profile` SET `xstatus` ='".$xstatus."', `xstatus_info` = '".$info."' WHERE `id` = '".$id_session."' LIMIT 1");
        if ($res != NULL) {
            echo 'Статус успешно изменен<br/>';
        } else {
            echo 'Воникла ошибка<br/>';
        }
    }
    
if (isset($us['id'])) {
if ( $us['id'] != $id_session ) {
    echo ''.xstatus($us['xstatus'], $us['id']).' ' . smile(parsebb(adminbb(nl2br($us['xstatus_info'])))).'<br/>';
    
} else {
    
    
        echo '<div class="link2"><b>Чем вы сейчас занимаетесь?</b><br/>';
        echo '<form action="xstatus.php" method="post" name="form">';
        echo '<textarea id="tarea" name="info" cols="30" rows="5" style="width: 99%;">'.$us['xstatus_info'].'</textarea><br/>';
        echo '<br/><select name="xstatus">
        <option value="'.$us['xstatus'].'">Не изменять</option>
        <option value="0">Убрать</option>
        <option value="2">Думаю</option>
        <option value="3">Дела</option>
        <option value="4">Покупки</option>
        <option value="5">Печатаю</option>
        <option value="6">Вопрос</option>
        <option value="7">Злой</option>
        <option value="8">Кушаю</option>
        <option value="9">Кино</option>
        <option value="10">Болею</option>
        <option value="11">Пикник</option>
        <option value="12">Дорога</option>
        <option value="13">Водные процедуры</option>
        <option value="14">Смотрю TV</option>
        <option value="15">Позитивчик</option>
        <option value="16">Сплю</option>
        <option value="17">КПК</option>
        <option value="18">Люблю</option>
        <option value="19">Уставший</option>
        <option value="20">Друзья</option>
        <option value="21">На телефоне</option>
        <option value="22">Отрываюсь</option>
        <option value="23">Мобилка</option>
        <option value="24">Гуглю</option>
        <option value="25">Праздник</option>
        <option value="26">Пью Чай/Кофе</option>
        <option value="27">Играю</option>
        <option value="28">В интернете</option>
        <option value="29">Дремлю</option>
        <option value="30">Пишу</option>
        <option value="31">Пью пиво</option>
        <option value="32">Музыка</option>
        <option value="33">Учёба</option>
        <option value="34">Работа</option>
        <option value="35">В туалете</option>
        <option value="36">ВК</option>
        </select><br/><br/>';
        echo '<input name="submit" type="submit" class="button" value="Сохранить" /></form></div>';
    
    }
    
    }
    
navig();
foot();
?>
